use std::env;
use std::fs::File;

fn main() {
    apk_frauder::replace_dex(
        "app-release.apk",
        "app-instrumented.apk",
        &mut [File::open("classes.dex").expect("failed to open file")],
        "my-release-key.jks",
        Some(&format!(
            "{}/Android/Sdk/build-tools/34.0.0/zipalign",
            env::var("HOME").expect("$HOME not set")
        )),
        Some(&format!(
            "{}/Android/Sdk/build-tools/34.0.0/apksigner",
            env::var("HOME").expect("$HOME not set")
        )),
    );
}
